flext_base::MethItem Class Reference

This represents an item of the method list. More...

`#include <flclass.h>`

Inheritance diagram for flext_base::MethItem:

## Public Member Functions

| MethItem (AttrItem *conn=NULL)
virtual | ~MethItem ()
void | SetArgs (methfun fun, int argc, int *args)
Public Member Functions inherited from flext_base::Item
| Item (AttrItem *a)
virtual | ~Item ()
bool | IsAttr () const

## Public Attributes

int | index
int | argc
int * | args
methfun | fun
Public Attributes inherited from flext_base::Item
AttrItem * | attr
Item * | nxt

## Detailed Description

This represents an item of the method list.

## Constructor & Destructor Documentation

## MethItem()

flext_base::MethItem::MethItem | ( | AttrItem * | conn = NULL | ) |

## ~MethItem()

flext_base::MethItem::~MethItem | ( |  | ) |

virtual

## Member Function Documentation

## SetArgs()

void flext_base::MethItem::SetArgs | ( | methfun | fun,
|  | int | argc,
|  | int * | args )

## Member Data Documentation

## argc

int flext_base::MethItem::argc

## args

int* flext_base::MethItem::args

## fun

methfun flext_base::MethItem::fun

## index

int flext_base::MethItem::index

The documentation for this class was generated from the following files:

- flclass.h
- flmeth.cpp